<?php
/**
 * SEF component for Joomla! 1.5
 *
 * @author      ARTIO s.r.o.
 * @copyright   ARTIO s.r.o., http://www.artio.cz
 * @package     JoomSEF
 * @version     3.1.0
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class SEFViewConfig extends JView
{

	function display($tpl = null)
	{
		JToolBarHelper::title( JText::_('JoomSEF'), 'config.png' );
		
		JToolBarHelper::save();
		JToolBarHelper::apply();
		JToolBarHelper::spacer();
		JToolBarHelper::cancel();
		
		JSubMenuHelper::addEntry('Control Panel', 'index.php?option=com_sef');
		JSubMenuHelper::addEntry('Configuration', 'index.php?option=com_sef&controller=config&task=edit', true);
		JSubMenuHelper::addEntry('Manage Extensions', 'index.php?option=com_sef&controller=extension');
		JSubMenuHelper::addEntry('Edit .htaccess', 'index.php?option=com_sef&controller=htaccess');
		JSubMenuHelper::addEntry('Manage SEF URLs', 'index.php?option=com_sef&controller=sefurls&viewmode=3');
		JSubMenuHelper::addEntry('Manage 301 Redirects', 'index.php?option=com_sef&controller=movedurls');
		JSubMenuHelper::addEntry('Upgrade', 'index.php?option=com_sef&task=showUpgrade');
		JSubMenuHelper::addEntry('Support', 'index.php?option=com_sef&controller=info&task=help');

		// Get data from the model
		$lists = & $this->get('Lists');

		$this->assignRef('lists', $lists);
		
		JHTML::_('behavior.tooltip');

		parent::display($tpl);
	}

}
?>